aboutsummaryrefslogtreecommitdiffstats
path: root/x11
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-07-12 11:19:05 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-07-13 08:43:44 +0000
commitbc5b192cdf61c762c44a454679f87dc27e5f2455 (patch)
tree4ed4b8b05b55816006882ac71652f872fc67474b /x11
parent6551939ea366ab6c66a168e71ad6bd6bfdd61144 (diff)
downloadaports-bc5b192cdf61c762c44a454679f87dc27e5f2455.tar.gz
aports-bc5b192cdf61c762c44a454679f87dc27e5f2455.tar.bz2
aports-bc5b192cdf61c762c44a454679f87dc27e5f2455.tar.xz
x11/libxtst: new aport
X11 Testing -- Resource extension library
Diffstat (limited to 'x11')
-rw-r--r--x11/libxtst/APKBUILD24
1 files changed, 24 insertions, 0 deletions
diff --git a/x11/libxtst/APKBUILD b/x11/libxtst/APKBUILD
new file mode 100644
index 0000000000..69c0a6e29a
--- /dev/null
+++ b/x11/libxtst/APKBUILD
@@ -0,0 +1,24 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libxtst
+pkgver=1.0.3
+pkgrel=0
+pkgdesc="X11 Testing -- Resource extension library"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends=
+makedepends="pkgconfig libxext-dev recordproto inputproto"
+source="http://xorg.freedesktop.org/releases/individual/lib/libXtst-$pkgver.tar.bz2"
+depends_dev="recordproto libx11-dev libxext-dev inputproto"
+
+build ()
+{
+ cd "$srcdir"/libXtst-$pkgver
+ ./configure --prefix=/usr \
+ --build=${CHOST} --host=${CHOST}
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -D -m644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+md5sums="090c1ad04e34982eada5cf3b1a0792fd libXtst-1.0.3.tar.bz2"